*
*  PERF18.PRG
*  Partial Rushmore Optimization 
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

use PERFBAL 
start = seconds()
FOR xx = 1 to 10
  count for ba_balance+100>1000 AND ba_balance+100<10000
ENDFOR
@ 1,2 say "None:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

close databases
use PERFBAL
start = seconds()
FOR xx = 1 to 10
  count for ba_balance>1000 AND ba_balance+100<10000
ENDFOR
@ 5,2 say "Partial:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

close databases
use PERFBAL
start = seconds()
FOR xx = 1 to 10
  count for ba_balance>1000 AND ba_balance<10000
ENDFOR
@ 9,2 say "Full:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,128,0,255,255,255)

clear all
return