*
*  PERF24.PRG
*  SELECT..ORDER BY..INTO ARRAY 
*    vs 
*  SELECT..INTO ARRAY, ASORT() 
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

use PERFBAL in 0

start = seconds()
FOR xx = 1 to 5
  release laArray
  SELECT ba_pmtmeth ;
      FROM perfbal ;
      GROUP BY ba_pmtmeth ;
      ORDER BY ba_pmtmeth ;
      INTO ARRAY laArray
ENDFOR
@ 1,2 say "SELECT..ORDER:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)
@ 1.5,col()+2 say str(_tally,4) ;
     font "Arial",20 style "B" ;
     color rgb(128,0,0,255,255,255)

start = seconds()
FOR xx = 1 to 5
  release laArray
  SELECT ba_pmtmeth ;
      FROM perfbal ;
      GROUP BY ba_pmtmeth ;
      INTO ARRAY laArray
  =asort(laArray)
ENDFOR
@ 5,2 say "SELECT/ASORT():  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)
@ 5.5,col()+2 say str(_tally,4) ;
     font "Arial",20 style "B" ;
     color rgb(0,0,128,255,255,255)

start = seconds()
FOR xx = 1 to 5
  release laArray
  SELECT ba_state ;
      FROM perfbal ;
      GROUP BY ba_state ;
      ORDER BY ba_state ;
      INTO ARRAY laArray
ENDFOR
@ 10,2 say "SELECT..ORDER:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)
@ 10.5,col()+2 say str(_tally,4) ;
     font "Arial",20 style "B" ;
     color rgb(128,0,0,255,255,255)

start = seconds()
FOR xx = 1 to 5
  release laArray
  SELECT ba_state ;
      FROM perfbal ;
      GROUP BY ba_state ;
      INTO ARRAY laArray
  =asort(laArray)
ENDFOR
@ 14,2 say "SELECT/ASORT():  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)
@ 14.5,col()+2 say str(_tally,4) ;
     font "Arial",20 style "B" ;
     color rgb(0,0,128,255,255,255)

start = seconds()
FOR xx = 1 to 5
  release laArray
  SELECT ba_balance ;
      FROM perfbal ;
      ORDER BY ba_balance ;
      INTO ARRAY laArray
ENDFOR
@ 19,2 say "SELECT..ORDER:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)
@ 19.5,col()+2 say str(_tally,4) ;
     font "Arial",20 style "B" ;
     color rgb(128,0,0,255,255,255)

start = seconds()
FOR xx = 1 to 5
  release laArray
  SELECT ba_balance ;
      FROM perfbal ;
      INTO ARRAY laArray
  =asort(laArray)
ENDFOR
@ 23,2 say "SELECT/ASORT():  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)
@ 23.5,col()+2 say str(_tally,4) ;
     font "Arial",20 style "B" ;
     color rgb(0,0,128,255,255,255)

clear all
return
 