*
*  PERF22.PRG
*  USE..IN..ORDER TAG.. vs USE..IN/SET ORDER TO TAG
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

start = seconds()
FOR xx = 1 to 100
  use PERFBAL in 0 order tag ba_state 
  use
ENDFOR
@ 1,2 say "USE..ORDER:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

close databases
start = seconds()
FOR xx = 1 to 100
  use PERFBAL in 0 
  set order to tag ba_state 
  use
ENDFOR
@ 5,2 say "USE/SET ORDER:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

clear all
return 