*
*  PERF6.PRG
*  LOOKUP() vs SEEK()
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

use PERFBAL order tag ba_name in 0
start = seconds()
FOR xx = 1 to 1000
  yy = lookup(PERFBAL.ba_balance,"SMITH",PERFBAL.ba_balance,"BA_NAME")
ENDFOR
@ 1,2 say "LOOKUP():  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

close databases
use PERFBAL order tag ba_name in 0
start = seconds()
lcTag   = ORDER("PERFBAL")
lnRecno = IIF(EOF("PERFBAL"),0,RECNO("PERFBAL"))
SET ORDER TO TAG ba_name IN perfbal 
FOR xx = 1 to 1000
  =SEEK("SMITH","PERFBAL")
  yy = PERFBAL.ba_balance
ENDFOR
IF !empty(lcTag)
  SET ORDER TO TAG (lcTag) IN perfbal
ENDIF
IF lnRecno # 0
  GOTO lnRecno IN perfbal
ENDIF
@ 5,2 say "SEEK():  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

clear all
return